Jiniu AIJiniu AI
Docs
ModelsList models

Native OpenAI format

List the models currently available.

The response format is chosen from the request headers:

  • Anthropic format when x-api-key and anthropic-version are present
  • Gemini format when the x-goog-api-key header or the key query parameter is present
  • OpenAI format otherwise
GET
/v1/models

Query Parameters

key?string

Google API key, for the Gemini format

Header Parameters

x-api-key?string

Anthropic API key, for the Claude format

anthropic-version?string

Anthropic API version

x-goog-api-key?string

Google API key, for the Gemini format

Response Body

application/json

application/json

curl -X GET "https://jiniu.ai/v1/models"
{
  "object": "list",
  "data": [
    {
      "id": "gpt-4",
      "object": "model",
      "created": 0,
      "owned_by": "openai"
    }
  ]
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}